> Tous les forums > Forum Linux
 Problème de mise à jour sur ArchSujet résolu
Ajouter un message à la discussion
Page : [1] 
Page 1 sur 1
Mimile
  Posté le 09/01/2018 @ 16:03 
Aller en bas de la page 
Astucien

Bonjour (et à ceux qui ne m'ont pas encore lu depuis 9 jours : bonne et heureuse année).

Mon problème :

Je lance une mise à jour complète d'Arch (pacman -Syu) et voilà ce que j'obtiens :

Paquets (10) archlinux-keyring-20180108-1 argon2-20171227-3 blender-17:2.79-9
gcc-7.2.1+20171224-2 gcc-libs-7.2.1+20171224-2 jansson-2.10-3
lib32-acl-2.2.52-3 lib32-gcc-libs-7.2.1+20171224-2
opencl-nvidia-387.34-5 perl-uri-1.73-1

Taille totale du téléchargement : 63,94 MiB
Taille totale installée : 582,99 MiB
Taille de mise à jour nette : 0,12 MiB

:: Procéder à l’installation ? [O/n]
:: Récupération des paquets...
archlinux-keyring-2... 649,3 KiB 5,42M/s 00:00 [######################] 100%
argon2-20171227-3-x... 31,5 KiB 10,3M/s 00:00 [######################] 100%
gcc-libs-7.2.1+2017... 17,2 MiB 7,10M/s 00:02 [######################] 100%
gcc-7.2.1+20171224-... 31,2 MiB 8,51M/s 00:04 [######################] 100%
lib32-gcc-libs-7.2.... 14,7 MiB 9,92M/s 00:01 [######################] 100%
perl-uri-1.73-1-any 77,3 KiB 7,55M/s 00:00 [######################] 100%
lib32-acl-2.2.52-3-... 16,2 KiB 5,26M/s 00:00 [######################] 100%
(10/10) vérification des clés dans le trousseau [######################] 100%
téléchargement des clés requises...
erreur : key "CEB167EFB5722BD6" could not be looked up remotely
erreur : clé requise absente du trousseau
erreur : la validation de la transaction a échoué (erreur non prévue)
Des erreurs se sont produites, aucun paquet n’a été mis à jour.

Que dois-je faire pour résoudre ce problème, sachant que mes miroirs sont à jour ?

Merci d'avance.

Publicité
m_n
 Posté le 09/01/2018 à 16:39 
Aller en bas de la page Revenir au message précédent Revenir en haut de la page
Astucien

Peut-etre :

en $ :

yaourt -Syu

Mimile
 Posté le 09/01/2018 à 16:49 
Aller en bas de la page Revenir au message précédent Revenir en haut de la page
  Astucien

Plouf ...

C'était pas le bonne solution.

D'après ce que j'ai lu à gauche et à droite sur Google, il faut utiliser le miroir testing qui résoudra le problème.

Mon problème, c'est que je ne sais pas comment intégrer le miroir testing dans la liste des miroirs accessibles...

Voir ce site : https://bugs.archlinux.org/task/57012

Le texte :

As of this morning, pacman -Syu is failing with error:

(41/41) checking keys in keyring [########################################] 100%
downloading required keys...
error: key "CEB167EFB5722BD6" could not be looked up remotely
error: required key missing from keyring
error: failed to commit transaction (unexpected error)
Errors occurred, no packages were upgraded.


forcing an update of the testing version of archlinux-keyring with:
pacman -U http://mirror2.f4st.host/archlinux/testing/os/x86_64/archlinux-keyring-20180108-1-any.pkg.tar.xz

fixes the issue.

m_n
 Posté le 09/01/2018 à 20:10 
Aller en bas de la page Revenir au message précédent Revenir en haut de la page
Astucien

Logicien
 Posté le 09/01/2018 à 21:53 
Aller en bas de la page Revenir au message précédent Revenir en haut de la page
  Astucien

Bonjour Mimile,

tu devrais nous montrer le contenu du fichier /etc/pacman.conf . Peut-être qu'il est possible de corriger le problème à partir de ce fichier plutôt que de passer en testing. Je n'ai pas eu ce message en stable encore.

Mimile
 Posté le 10/01/2018 à 15:27 
Aller en bas de la page Revenir au message précédent Revenir en haut de la page
  Astucien

Salut Paul,

Voici mon /etc/pacman.conf : https://ptpb.pw/wlnf

Comme tu le constateras, le dépôt testing est commenté.

Dois-je le dé-commenter ?

Merci d'avance.

@ m_n : merci pour la ligne que tu indiques. C'est précisément celle qui est mentionnée dans mon message précédent (à la fin de l'encadré et qui se termine par fix the issue) exception faite que tu ne laisses pas d'espace entre pacman -U et http etc... ce qui me semble anormal.

[EDIT] Ne m'en veuillez pas si j'ai posté aussi sur le forum archlinux.fr.

La solution m'a été donnée par benjarobin : https://forums.archlinux.fr/viewtopic.php?p=164421#p164421

J'ai testé la solution fournie :

sudo pacman -Sy archlinux-keyring et ensuite sudo pacman -Su

Ensuite, installation des paquets normalement.

Problème résolu.

Désolé de vous avoir fait perdre votre temps.

Mimile



Modifié par Mimile le 10/01/2018 16:02
Page : [1] 
Page 1 sur 1

Vous devez être connecté pour poster des messages. Cliquez ici pour vous identifier.

Vous n'avez pas de compte ? Créez-en un gratuitement !


Sujets relatifs
Problème pour la mise à jour xubuntu
Arch : attention à la dernière mise à jour (fglrx)
Problème suite à mise à jour Ubuntu!
Probleme lors de la mise a jour de kubuntu
Probleme de mise a jour MDK 10.0
Problème avec la commande gpg sous Arch
mise a jour adobe
Mise à jour de ma Debian Wheezy vers Jessie
Archlinux : mise à jour foireuse - merci chroot !
Carte wifi plus reconnue après mise à jour Debian Testing
Plus de sujets relatifs à Problème de mise à jour sur Arch
 > Tous les forums > Forum Linux